Topic: Rails on Ubuntu + lighthttpd

Hi there!

first: rails works great on ubuntu
second: lighthttpd gives me an error when I start it

I've used two howtos to setup my installation:
1. RailsOnUbuntu from the rails wiki
2. install Ruby Rails on Ubuntu from a weblog

It works all great, but if I start lighthttpd I get the following error:

roni@sonic:~/temp/install/rubygems-0.9.0$ sudo lighttpd -f /etc/lighttpd/lighttpd.conf
roni@sonic:~/temp/install/rubygems-0.9.0$ 2006-11-06 11:18:39: (mod_fastcgi.c.1014) the fastcgi-backend /usr/bin/php4-cgi failed to start:
2006-11-06 11:18:39: (mod_fastcgi.c.1029) terminated by signal: 11
2006-11-06 11:18:39: (mod_fastcgi.c.1034) to be exact: it seg-fault, crashed, died, ... you get the idea.
2006-11-06 11:18:39: (mod_fastcgi.c.1036) If this is PHP try to remove the byte-code caches for now and try again.
2006-11-06 11:18:39: (mod_fastcgi.c.1322) [ERROR]: spawning fcgi failed.
2006-11-06 11:18:39: (server.c.832) Configuration of plugins failed. Going down.

Could someone help me?

Thank you...
doni

Re: Rails on Ubuntu + lighthttpd

Did you look in your lighttpd.conf to see if it's calling php4-cgi?

Re: Rails on Ubuntu + lighthttpd

hello

no, I can't find php4-cgi in my config file.

Where wold I have to load it?

thank you...
doni

Re: Rails on Ubuntu + lighthttpd

*grr* I found the failure.
Sorry everyone.

I just uncommented the sample project that was inserted in my lighttpd config file. and that would have been the point where php5-cgi would have been loaded.